# SAFELINE-CE CHANGELOG

## [4.4.2] - 2024-03-09

### 修复

- 修复 FVM 服务在某些情况下 TCP 连接异常升高的问题

## [4.4.1] - 2024-03-07

### 优化

- 专业版支持在明亮主题和黑金主题之间切换
- 优化人机验证（[#693](https://github.com/chaitin/SafeLine/issues/693)，云端更新，历史版本也生效）
  - 降低旋转图片的误差要求
  - 图片不容易对齐时，支持刷新图片
  - 修复一些低版本浏览器转不动图片的问题
  - 删除某些特别难对齐的图片
- 优化一些界面 UI 和交互细节

### 修复

- 修复防护配置某些极端情况下会失效的问题
- 修复向 luigi 发大量日志后，CPU 占用畸高不下的问题
- 修复升级或重启后限频可能失效，直到修改任意防护配置的问题
- 修复站点选择证书后再直接关闭 SSL，证书管理处 “使用站点” 仍然显示该站点的问题（[#656](https://github.com/chaitin/SafeLine/issues/656)）
- 修复攻击事件页面中，允许把 IP 加入至内置 IP 组的问题
- 修复其他一些已知问题

## [4.4.0] - 2024-02-29

### 新增

- 支持升级至专业版，包含内容：
  - 自定义拦截页面
  - 商用地理位置库
  - 额外补充规则
  - 节点负载均衡
  - 专属黑金主题

### 优化

- 大幅优化频率限制的即时性，解决限频延迟时间过长的问题

## [4.1.1] - 2024-01-11

### 修复

- 修复 IP 组在线订阅失败时会保存错误内容的问题

## [4.1.0] - 2024-01-11

### 新增

- 拦截日志一键复制为 cURL （[#531](https://github.com/chaitin/SafeLine/issues/531)）

### 优化

- IP 组若为在线订阅，显示更新时间（[#574](https://github.com/chaitin/SafeLine/issues/574)）
- 优化 safeline-fvm 容器重启速度，重启时间减少 10s
- 优化 safeline-mgt 容器镜像层数，从 39 层下降到 24 层

### 修复

- 修复日志列表 IP 来源地区未翻译国家编号的问题（[#578](https://github.com/chaitin/SafeLine/issues/578)）
- 修复英文翻译问题（[#591](https://github.com/chaitin/SafeLine/issues/591)）
- 修复雷池管理后台证书更新后未自动重启问题

## [4.0.2] - 2024-01-06

### 修复

- 管理后台 mgt 启动时提示证书异常
- 统计页面中 QPS 数据统计方法由窗口时间（5s）改为按秒计算平均值

## [4.0.1] - 2024-01-05

### 修复

- safeline-luigi 容器打印与功能无关的错误日志
- 统计页面中不显示 QPS 数据

## [4.0.0] - 2024-01-05

### 新增

- 完整支持 **流式语义分析检测**，包含 协议解析、解码、模式匹配 三个阶段的改造，解决经典 “大包绕过” 问题
- IP 组支持通过 URL 在线订阅内容（[#414](https://github.com/chaitin/SafeLine/issues/414)）
- 新增 “搜索引擎爬虫 IP”，包含 Google、Bing、百度、360 的爬虫 IP（[#374](https://github.com/chaitin/SafeLine/issues/374)、[#399](https://github.com/chaitin/SafeLine/issues/399)）
- 出厂预置 “搜索引擎爬虫白名单” 和 “长亭社区恶意 IP 情报黑名单”，方便配置

### 优化
- 支持类 ChatGPT 应用的流式 HTTP 响应（[#513](https://github.com/chaitin/SafeLine/issues/513)）
- 在 证书管理 编辑证书后，若证书正被站点使用，自动重启 nginx 使新证书生效（[#534](https://github.com/chaitin/SafeLine/issues/534)）
- safeline-fvm 容器体积减小 60%
- safeline-mgt 服务减少宿主机文件依赖
- safeline-mgt 服务日志全部写入 docker 标准输出，默认仅输出启动信息和错误日志，减小磁盘占用
- safeline-mgt 服务、safeline-tengine 服务支持运行时日志输出范围设置，方便问题调试
- 更新 compose.yaml 文件配置，移除非必要环境变量配置，规范环境变量名称，移除非必要卷配置
- 增加新统计服务 safeline-luigi，为更精细的统计能力做准备
- 优化若干 UI 交互、文字描述、英文翻译的细节（感谢国际友人的帮助）
- 修复 3.16 以及之前版本的一些问题：
  - safeline-tcd 启动时因启动顺序导致输出错误提示
  - http 强制跳转到 https 功能未生效
- 修复 4.0.0-beta.x 版本中的一些问题：
  - 登录雷池失败，提示 HTTP/2 协议错误（[#564](https://github.com/chaitin/SafeLine/issues/564)）
  - 升级脚本未正常检测到雷池安装目录（[#561](https://github.com/chaitin/SafeLine/pull/561)，感谢热心网友 nmgliangwei）
  - safeline-mgt 持续输出版本号错误日志
  - 拦截页面未显示时间


## [4.0.0-beta.3] - 2023-12-28

### 优化

- 支持类 ChatGPT 应用的流式 HTTP 响应（[#513](https://github.com/chaitin/SafeLine/issues/513)）
- 更新流式检测引擎到 （20231228） 版本

### 修复

- 修复由于服务启动顺序导致输出非必要的错误日志

## [4.0.0-beta.2] - 2023-12-22

### 修复

- 修复 safeline-tcd 启动时因启动顺序导致输出错误提示信息
- 修复 safeline-mgt 在 beta 版本下持续输出版本号错误日志
- 修复 http 强制跳转到 https 功能未生效问题

### 优化

- 更新流式检测引擎版本到 20231222 版本

## [4.0.0-beta.1] - 2023-12-21

### 新增

- 完整支持 **流式语义分析检测**，包含 协议解析、解码、模式匹配 三个阶段的改造，解决经典 “大包绕过” 问题

### 优化

- safeline-fvm 容器体积减小 60%
- safeline-mgt 服务减少宿主机文件依赖
- safeline-mgt 服务日志全部写入 docker 标准输出，默认仅输出启动信息和错误日志，减小磁盘占用
- safeline-mgt 服务、safeline-tengine 服务支持运行时日志输出范围设置，方便问题调试
- 更新 compose.yaml 文件配置，移除非必要环境变量配置，规范环境变量名称，移除非必要卷配置
- 增加新统计服务 safeline-luigi，为更精细的统计能力做准备
- 美化 502/504 页面
- 优化频率限制配置的英文翻译（感谢国际友人的提示）

## [3.16.1] - 2023-12-15

### 新增

- 右上角增加 “更多工具”，方便快速访问牧云主机助手、百川网站监测等常用运维管理工具

### 优化

- 登录时若验证码错误，不再自动清空内容，方便修改（[#449](https://github.com/chaitin/SafeLine/issues/449)）
- 精简 docker 镜像文件，safeline-mgt-api 体积减小 90%
- 获取站点的 Favicon 和标题时，增加浏览器 UserAgent，避免被上游服务拒绝
- 数据统计页 4xx 和 5xx 错误率的默认显示方式从 “-%” 改为 “0%” （[#517](https://github.com/chaitin/SafeLine/issues/517)）
- 优化控制台和 502 、504 页面的一些样式细节
- 未登录时，不显示任何前端页面内容，避免被报告安全问题

## [3.15.3] - 2023-12-08

### 修复

- 修复 403 拦截页面没有展示拦截页面附加说明的问题

## [3.15.2] - 2023-12-07

### 新增

- 新增 502、504 页面。网站服务器异常、配置有误时，能给网站用户提供更清晰友好的说明
- 拦截页面支持英文，根据客户端语言自动切换

### 优化

- 单个 IP 组内的 IP 数量，增加 1w 行的上限。避免更新配置时系统异常
- 修复创建或修改站点时，端口占用检查没有生效的问题
- 略微提高流量检测和配置修改时的执行效率

## [3.14.1] - 2023-11-30

### 修复

- 修复日志服务 CPU 占用过高问题

## [3.14.0] - 2023-11-30

### 新增

- 增加黑白名单正则表达式校验，避免 “_url_” 这类错误正则
- 事件列表固定表头 ([#443](https://github.com/chaitin/SafeLine/issues/443))

### 优化

- 移除 redis 依赖，减少运行容器数量

### 修复

- 修复黑白名单 CIDR 格式校验提示文案未翻译的问题
- 修复 safeline-tengine 容器提示缺少 MGT_API 的问题 ([#468](https://github.com/chaitin/SafeLine/issues/468))

## [3.13.2] - 2023-11-24

### 修复

- 修复了 safeline-fvm-manager 容器的健康检查错误结果

## [3.13.1] - 2023-11-23

### 新增

- 人机验证的二次验证，从数字验证码改为旋转图片，网站用户体验更好

### 优化

- 修复 社区恶意 IP 情报 每日定时更新后，控制台上 “更新时间” 未相应更新的问题
- 日志详情 “已拦截” “已放行” 图案改为英文，适配国际化
- 域名不匹配时，返回的拦截页面补充更多提示
- 优化一些界面细节

## [3.12.2] - 2023-11-17

### 修复

- 修复重启 docker （包括雷池升级）后，站点通用配置和拦截页面附加说明没有被正确载入的问题 （[#438](https://github.com/chaitin/SafeLine/issues/438) [#446](https://github.com/chaitin/SafeLine/issues/446)）

## [3.12.1] - 2023-11-16

### 新增

- 登录过程输入完 6 位验证码自动登录（[#335](https://github.com/chaitin/SafeLine/issues/335)）
- 统计 PV 和 UV 用的 cookie 默认添加 HttpOnly 属性，在 HTTPS 下自动添加 Secure 属性

### 优化

- 修复证书在添加一段时间后，证书类型统一变成 “上传已有证书” ，编辑时也看不到证书内容的问题。（免费证书需要手动再切换到免费证书申请一下，后续才能自动续期。只影响列表管理，不影响网站上的证书）
- 开启 “强制 HTTPS” 时，HSTS 删去 preload 参数，并改为只在 https 端口下返回 （[#407](https://github.com/chaitin/SafeLine/issues/407)）
- 修复添加、编辑站点有时出现 “Service abnormal” 异常的问题
- 修复 “申请免费证书” 类型的证书，在证书列表上显示成 “上传已有证书” 的问题
- 优化一些样式交互细节

### [3.11.1] - 2023-11-09

#### 修复

- 修复证书列表页面域名列显示不正确问题

## [3.11.0] - 2023-11-09

### 新增

- 站点详情新增站点的 favicon、标题和编辑按钮

### 优化

- 优化 “强制 HTTPS” 中 HSTS 的参数细节（[#407](https://github.com/chaitin/SafeLine/issues/407)）
- 修复英文模式下事件列表文字错位问题
- 修复添加、编辑站点有时出现 “Service abnormal” 异常的问题
- 优化站点 “运行模式” 的展示和交互
- 优化一些界面交互和提示文字

## [3.10.3] - 2023-11-06

- 修复部分证书无法编辑，提示 “密钥内容解析错误” 的问题
- 修复升级或重启后，站点证书引用成历史证书的问题
- 修复编辑证书有时必须填写私钥的问题

## [3.10.1] - 2023-11-03

### 修复

- 修复无法修改 通用配置-其他-拦截页面附加说明 的问题

## [3.10.0] - 2023-11-02

### 新增

- 在证书管理创建证书时，支持直接粘贴证书与私钥内容（[#77](https://github.com/chaitin/SafeLine/issues/77)）

### 优化

- 人机验证的客户端文件从 138k 减小到 78k，提高加载速度
- 人机验证 cookie 改为 httpOnly 模式，避免在 JavaScript 运行时泄露
- 人机验证防止简单绕过 （[#405](https://github.com/chaitin/SafeLine/issues/405)）
- 修复站点详情中，资源 “今日请求” 的总和大于站点 “今日请求总量” 的问题（[#410](https://github.com/chaitin/SafeLine/issues/410)）

## [3.9.0] - 2023-10-26

### 优化

- 人机验证页面增加响应头 Cache-Control，向下游声明不希望被缓存，避免被 CDN 缓存导致不断重复验证（[#402](https://github.com/chaitin/SafeLine/issues/402) ）
- 修复人机验证在 iframe 中会不断重复验证的问题（[#397](https://github.com/chaitin/SafeLine/issues/397) ）
- 修复人机验证在 alook 浏览器中页面空白的问题（[#393](https://github.com/chaitin/SafeLine/issues/393) ）
- 修复添加、编辑站点有时出现 “Service abnormal” 异常的问题
- 修复申请免费证书时，无法填写多个域名的问题
- 修复编辑站点时，域名无法设为空的问题
- 升级过程增加安装方式检查，通过牧云助手安装的，需要通过牧云助手升级，避免故障

## [3.8.2] - 2023-10-19

### 新增

- “通用漏洞规则” 的攻击日志中，新增 “命中规则”，方便管理员了解具体的拦截原因：

### 优化

- 修复 acme 未记录好邮箱，导致无法自动续签的问题。**旧版本已申请的证书，升级后需要再次编辑补全一下邮箱地址，才能自动续签**
- 修复雷池重启后，已通过人机验证的页面会一直反复进行人机验证的问题
- 修复某个站点关闭 ssl 之后，还会错误地显示在证书管理的 “使用站点” 中的问题
- 优化安卓手机的人机验证效果，现在不会总是弹出验证码识别了
- 修复证书管理-编辑证书时，弹窗没有正常回填已有配置的问题
- 优化 攻击事件->原始日志 默认的筛选条件（[#288](https://github.com/chaitin/SafeLine/issues/288)）
- 优化一些 UI 交互细节

## [3.7.3] - 2023-10-16

### 修复

- 修复获取上游服务器的 favicon 和标题失败时，可能导致站点管理无法配置站点的问题
- 修复 IP 组中的网段解析错误，导致匹配结果不正确的问题

## [3.7.2] - 2023-10-13

### 优化

- 修复无法更新威胁情报 IP 的问题
- 修复编辑人机验证配置时不回显的问题

## [3.7.1] - 2023-10-13

### 新增

- 人机验证增加 **二次验证码验证**，在自动验证失败时进行，减少误拦

### 优化

- 优化人机验证
  - 简化配置，不再区分交互、非交互
  - 区分站点，验证通过的结果只能在一个站点（按域名或 IP 区分）上生效了
  - 降低算力要求，解决部分移动端验证时间过长的问题
- 配置站点时，“上游服务器” 的服务器地址部分支持填写主机名，例如 http://localhost:8080
- 站点的运行模式为 “观察” 时，黑名单、限频、人机 改为**都不拦截**。其中黑名单会记录 “放行” 的日志；限频会持续计入统计，但限制结果不会对观察中的站点生效
- 修复证书管理中，泛域名的证书显示 “域名不匹配” 问题（[#368](https://github.com/chaitin/SafeLine/issues/368)）
- 更新检测引擎版本，降低误报
- 优化若干提示文字和样式细节

## [3.6.4] - 2023-10-09

### 修复

- 修复了多个域名申请免费证书失败的问题
- 修复了有时候不能创建 HTTP 站点的问题
- 修复证书管理中，“使用站点” 不全的问题
- 修复证书管理中，泛域名证书的使用站点始终提示 “域名不匹配” 的问题

## [3.6.3] - 2023-10-09

### 新增

- 新增申请免费证书。只要域名已经指向雷池，就可以在界面上直接申请证书了
- 证书管理新增 “使用站点”，并且会自动检查站点和证书的域名是否一致

### 优化

- 优化站点配置证书的流程，现在所有证书都在证书管理配置，方便统一查看
- 雷池控制台证书的配置移动到了 “通用配置” -> “其他” 中，更符合直觉
- 修复某些情况下采集不到站点 favicon 的问题
- 修复采集站点标题的时候，会把英文大写转成小写的问题
- 修复站点详情中，删除文件夹的操作不会生效的问题
- 修复站点详情中，资源的 今日请求 / 近 30 日请求 始终为 0 的问题

## [3.5.1] - 2023-09-26

### 优化：

- 修复站点详情中，今日请求量一直为 0 的问题
- 修复获取站点 favicon 时没有尝试默认路径，导致某些站点获取不到的问题
- 修复小概率出现无法对站点进行任何操作的问题（不影响已配置站点的防护）

## [3.5.0] - 2023-09-21

### 新增

- 人机验证新增每个规则的 “今日验证情况”，方便判断规则配置的效果：

### 优化

- 站点列表新增 “资源数”，方便判断判断资源管理情况
- 优化 攻击事件->原始日志 默认的筛选条件（[#288](https://github.com/chaitin/SafeLine/issues/288)）
- 修复自动采集的站点 favicon 有时候显示不出来的问题（[#316](https://github.com/chaitin/SafeLine/issues/316)）
- 修复自动采集的站点标题有时候显示成乱码的问题
- 修复站点详情的 “今日请求总量” 有时候不显示最新值的问题
- 优化一些界面样式交互细节

## [3.4.1] - 2023-09-15

### 优化

- 修复请求上游服务器的 title 和 icon 时间过长导致站点相关功能异常的问题
- 修复站点列表中站点标题的优先显示顺序，先显示“备注”，如果没有“备注”再显示网页的“标题”

## [3.4.0] - 2023-09-14

### 新增

- “防护站点” 新增站点的标题和 Favicon，每天更新一次，管理起来更加清晰
- 站点详情新增“采集设置”，支持设置不记录的路径前缀和类型

### 优化

- 限频后封禁的拦截页面改为 “请求频率过高，已被拦截”，与语义分析和黑名单的拦截页面区分开，方便管理员确认拦截原因
- 修复有时候无法正常通过路径搜索日志的问题
- 修复限频中，同时配置人机验证、直接封禁两类限制结果时，直接封禁有时候不会被触发的问题
- 修复黑名单拦截的请求也会触发限频，导致限频日志中出现很多 “已限制请求数” 为 0 的记录的问题
- 优化界面的一些样式交互

## [3.3.0] - 2023-09-07

### 新增

- 支持设置拦截页面附加说明（[#192](https://github.com/chaitin/SafeLine/issues/192)）
- 频率限制新增 “人机验证” 的限制方式（[#226](https://github.com/chaitin/SafeLine/issues/226)）

### 优化

- 当网站域名不匹配的时候，返回 “网站不存在” ，提示更清晰（[#58](https://github.com/chaitin/SafeLine/issues/58)）
- 修复 攻击事件->原始日志 的 “攻击地址” 中显示额外的转义符的问题
- 修复站点详情中 “今日总请求量” 和站点列表的 “今日访问量” 不一致的问题（[#279](https://github.com/chaitin/SafeLine/issues/279)）
- 频率限制后直接封禁的拦截状态码改为 429，和普通拦截 403 区分开，方便排查拦截原因
- 加强后台登录安全性（感谢微信交流 20 群「千年之狐」提供的建议）
- 优化安装/升级时 CPU ssse3 指令集的检查方式（[#273](https://github.com/chaitin/SafeLine/issues/273)）
- 优化界面样式交互，修复一些已知问题

## [3.2.0] - 2023-08-31

### 新增

- 证书管理支持上传 PKCS1、PKCS8、ECC 私钥格式的证书（[#257](https://github.com/chaitin/SafeLine/issues/257)）
- 站点详情新增近 30 天请求数，支持批量删除

### 优化

- 优化站点详情页面，提高加载速度、优化界面样式和逻辑
- 限频的生效阈值由 “超过 xx 次” 改为 “达到 xx 次”（[#245](https://github.com/chaitin/SafeLine/issues/245)）
- 修复频率限制所拦截的请求，没有被计入站点列表的 “今日访问/拦截量” 的问题
- 修复证书管理的证书有时候无法正常删除的问题（[#268](https://github.com/chaitin/SafeLine/issues/268)）
- 修复证书管理中，有时候一个证书内会解析出几个重复的域名的问题
- 去掉对 docker 的 seccomp 特性的依赖（[#255](https://github.com/chaitin/SafeLine/issues/255)）
- 优化大量界面样式、交互和操作提示细节

## [3.1.1] - 2023-08-28

### 优化

- 修复创建站点时直接上传 SSL 证书显示创建失败的问题

## [3.1.0] - 2023-08-25

### 新增

- 新增证书管理。自动判断域名与过期状态，配置站点时可以直接选择（[#111](https://github.com/chaitin/SafeLine/issues/111)），还可以修改管理后台的证书（[#201](https://github.com/chaitin/SafeLine/issues/201)）
- 新增系统信息

### 优化

- 修复站点详情全局只支持 250 个资源的问题。现在是每个站点各支持 250 个
- 修复站点详情中，路径太长样式会错位的问题
- 修复站点从维护切换成其他状态时，微信会缓存维护页面的问题（[#221](https://github.com/chaitin/SafeLine/issues/221)）
- 修复手机和平板上不能输入动态口令的问题（[#234](https://github.com/chaitin/SafeLine/issues/234)）
- 优化导航栏和若干 UI 交互细节

## [3.0.1] - 2023-08-18

- 更新底层语义分析引擎，加强基础防护能力
- 修复站点详情中，不同域名的资源会重复记录问题
- 修复攻击事件有小概率时间排序错误的问题
- 修复关闭再打开频率限制时，配置不会重置到默认值的问题
- 修复首次创建站点且配置 SSL 端口的情况下提示“端口被占用”的问题

## [3.0.0] - 2023-08-18

### 新增

- 新增站点详情，能自动从流量中记录网站资源，一览资源的存活、访问情况
  - PS. 考虑机器资源消耗问题，当前版本每个站点下最多记录 250 个资源
- 站点支持输入多个域名、端口（[#162](https://github.com/chaitin/safeline/issues/162)）
- 通用配置中新增 “站点通用配置”，支持一键开启：
  - 强制 HTTPS（[#67](https://github.com/chaitin/safeline/issues/67)）
  - 使用 HTTP/2（[#161](https://github.com/chaitin/safeline/issues/161)）
  - 监听 IPv6（[#166](https://github.com/chaitin/safeline/issues/166)）
  - 传递客户端连接的 Host 和协议，方便后续服务器处理

### 优化

- 优化限频配置的默认值
- 增加 HTTP 497 错误重定向。当以 HTTP 协议访问 HTTPS 端口时，将重定向到 HTTPS（[#186](https://github.com/chaitin/safeline/issues/186)）
- 默认拒绝 IP 和其他非指定域名的访问。如果需要通过 IP 访问站点，可以给站点添加一个 "\*" 域名（[#58](https://github.com/chaitin/safeline/issues/58)）
- 优化若干 UI 交互细节和文字提示

## [2.6.0] - 2023-08-10

### 新增

- 新增高频攻击封禁，即多次攻击后自动封禁 IP ([#29](https://github.com/chaitin/safeline/issues/29))
- 频率限制日志显示封禁 IP 的地理位置 ([#198](https://github.com/chaitin/safeline/issues/198))

### 优化

- 攻击检测的原始日志支持搜索端口 ([#193](https://github.com/chaitin/safeline/issues/193))
- 修复编辑站点后，“维护模式” 会失效的问题
- 修改默认占用的网段，避免跟腾讯云默认网段冲突 ([#40](https://github.com/chaitin/safeline/issues/40))
- 优化安装脚本 ([#194](https://github.com/chaitin/safeline/issues/194))，优化界面一些 UI 交互、错误提示

## [2.5.0] - 2023-08-03

### 新增

- 请求频率限制（[#29](https://github.com/chaitin/safeline/issues/29)）

### 优化

- 支持筛选攻击检测日志的 ID（[#74](https://github.com/chaitin/safeline/issues/74)），优化筛选的交互
- 证书支持 .cer 格式（[#181](https://github.com/chaitin/safeline/issues/181)）
- 优化人机校验页面，适配移动端（[#184](https://github.com/chaitin/safeline/issues/184)）
- 界面增加一些配置提示：添加站点时 “域名” 的格式、黑白名单/人机验证中匹配条件的生效逻辑

## [2.4.0] - 2023-07-27

### 新增

- IP 组支持注释 [#143](https://github.com/chaitin/safeline/issues/143)

### 优化

- 优化编辑 IP 组和相关规则时的性能
- 优化一些界面 UI 交互细节

## [2.3.2] - 2023-07-24

### 修复

- 修复了攻击事件 - 原始日志中，请求报文没有格式化的问题
- 优化了一些已知问题

## [2.3.1] - 2023-07-20

### 新增

- 检测日志升级为**攻击事件** ，自动聚合同一攻击 IP 短时间内的所有攻击日志，方便管理员进行监控和处置
- 日志支持按时间（[#102](https://github.com/chaitin/safeline/issues/102)）、动作筛选

### 修复

- 修复添加/编辑站点时，上传证书处未翻译中文的问题
- 修复数据统计中，“访问来源地区” 小概率出现的部分地区显示不正确的问题

## [2.2.0] - 2023-07-14

### 新增

- IP 组中新增长亭社区恶意 IP 情报，内容来自社区版共享的攻击 IP，每日自动更新

### 优化

- 升级核心检测引擎，修复一些绕过和误报
- 管理界面增加浏览器版本检查，如果版本过旧，会提示升级浏览器
- 优化一些界面的 UI 交互细节
- 修复一些中英文翻译的问题

## [2.1.2] - 2023-07-07

- 修复了日志详情中防护策略模块没有翻译的问题

## [2.1.1] - 2023-07-06

- 修复了防护策略模块没有翻译的问题

## [2.1.0] - 2023-07-06

### 新增

- 添加/编辑站点时，自动检查端口占用情况，避免保存后配置不生效
- 支持自定义站点的 nginx conf，详情可见[官网文档](https://waf-ce.chaitin.cn/posts/faq_other#%E8%87%AA%E5%AE%9A%E4%B9%89%E7%AB%99%E7%82%B9-nginx-conf)
- [站点列表支持按域名、端口或访问量进行排序](https://github.com/chaitin/safeline/issues/14)
- [绑定 TOTP 密钥时，支持直接复制密钥；登录时的 6 位动态密码输入框，支持粘贴](https://github.com/chaitin/safeline/issues/30)

### 优化

- [黑白名单和人机验证列表中，可以鼠标悬浮查看 “复合条件” 的具体内容](https://github.com/chaitin/safeline/issues/120)
- 修复人机验证列表中，“源 IP 不属于 IP 组” 的规则，IP 组名称显示成了 id 的问题
- [优化人机验证启用/禁用交互](https://github.com/chaitin/safeline/issues/130)
- [优化描述文字](https://github.com/chaitin/safeline/issues/122)
- 优化一些界面 UI 交互、提示文字
- 修复一些已知问题

## [2.0.1] - 2023-06-30

- 调整了人机验证的策略，降低误拦的情况
- 修复了人机验证启动/禁用规则不会自动刷新状态的问题
- 修复其他一些已知问题

## [2.0.0] - 2023-06-29

### 新增

- 人机验证
- 支持嵌入式部署，可以通过 [t1k 协议](https://github.com/chaitin/lua-resty-t1k) 直接把流量转发到雷池进行检测
- 把日志详情中的源 IP 加入到 IP 组时，支持调整 IP 为任意 IP 或网段

### 优化

- 日志列表按照时间和 ID 排序，防止出现小范围的时间乱序
- 转发流量时，自动设置请求头 X-Forwarded-Proto，适配更多代理场景
- 优化界面 UI，修复其他一些已知问题

## [1.10.0] - 2023-06-21

### 新增

- 防护站点新增 “运行模式”，可以一键将站点设为 观察 或 维护 模式了

### 优化

- 修复了站点列表没有分页器的问题
- 修复了窗口水平滚动时导航栏会错位的问题
- 修复了黑白名单配置 “不属于 IP 组” 的条件时，列表显示组 ID，而未显示组名称的问题
- 优化了界面的 UI 与交互

## [1.9.0] - 2023-06-16

### 新增

- 界面 UI 改造，信息层级更清晰
- 黑白名单支持添加 源 IP - 不属于 IP 组 的条件

### 优化

- 检测日志的路由进一步完善
- 数据统计页面更加紧凑，现在可以在 1920\*1080 的屏幕上完全显示了
- 黑白名单的展示优化
- 修复 通用配置-防护模块配置 中，“批量配置为” 按钮有时候不生效的问题
- 修复一些已知问题

## [1.8.2] - 2023-06-12

- 修复了「30 天访问情况」和「30 天拦截情况」显示相同数据的问题

## [1.8.1] - 2023-06-09

- 修复了「全部请求」和「仅拦截」数据一样的问题

## [1.8.0] - 2023-06-09

### 新增

- 数据统计页面增加访问来源地区、流量统计，更好把控网站运营情况

### 优化

- 更新语义引擎版本，优化了一大批检测逻辑，降低误报
- 优化了部分操作提示信息：
  - IP 组正在使用时，无法被删除的提示
  - 未创建 IP 组时，在黑白名单中无法选择属于 IP 组的提示
  - 添加站点时，域名格式错误的提示

## [1.7.1] - 2023-06-05

### 修复

- 部分情况下无法打开日志详情页面的问题
- 部分情况下页面查询数量只有 10 条的问题

## [1.7.0] - 2023-06-01

### 新增

- 新增 “IP 组” 功能，可以快速配置大量 IP 的黑/白名单了
- 防护策略增加 “仅观察” 配置
- 防护策略增加 “批量配置为” 按钮，可以快速切换所有模块的防护策略

### 优化

- 自定义规则列表增加翻页
- 优化规则生效顺序，现在会优先执行完所有白名单，再执行黑名单

## [1.6.0] - 2023-05-25

### 新增

- 自定义规则支持匹配 Header 和 Body
- 检测日志支持按域名搜索
- 支持命令行清理检测日志和统计信息

## [1.5.1] - 2023-05-18

- 修复了自定义规则切换白名单之后，无法创建/编辑的问题

## [1.5.0] - 2023-05-18

### 新增

- 支持 i18n
- 数据统计新增 “今日请求错误情况”
- 检测日志的筛选条件现在会显示在 URL，方便保存

### 优化

- 修复自定义规则的编辑表单，有时候会丢失编辑中数据的问题
- 修复 Safari 浏览器上的一些显示问题
- 修复 Payload 中存在非 Unicode 编码时，检测日志会入库失败的问题（不影响拦截）
- 修复新增的 “HTTP 请求走私” 攻击类型会被错误地展示成 “未知” 攻击类型的问题

## [1.4.0] - 2023-05-12

### 新增

- 自定义规则支持匹配域名
- 支持在一条自定义规则内，设置多个匹配条件
- 站点列表新增 “今日访问 / 拦截量”

### 优化

- 优化交互和提示文案、修复已知问题

## [1.3.0] - 2023-05-05

### 新增

- 支持按照源 IP、攻击类型、URL 筛选检测日志

### 修复

- 修复 dashboard 在部分低版本浏览器下的兼容问题
- 修复按源 IP 添加自定义规则时，添加不了 /8 和更大的网段的问题

## [1.2.0] - 2023-04-27

### 新增

- 新增了数据统计页面，可以直观的看到流量大小
- 支持配置源 IP 提取方式，解决了源 IP 获取不对的问题
- 支持自定义检测策略，可以动态调整检测引擎

## [1.1.0] - 2023-04-20

### 新增

- 支持根据 IP 和 URL 特征配置黑白名单
- 默认开启高防模式

### 优化

- 支持在日志详情中展示响应报文
- 服务器时间不准导致 TOTP 无法登录时增加了提示语
- 修复了上游服务器填 HTTPS 时端口解析不正确的问题
- 优化了 SSL 上传逻辑，体验更好

## [1.0.0] - 2023-04-13

- 站点配置

## [0.9.0] - 2023-03-20

- OTP 登录
- 攻击检测日志
- 默认防护策略
